package body MSHTML.ISVGPoint_Object is

   procedure Put_x
     (This : ISVGPoint_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         ISVGPoint_Put_x,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_x;

   function Get_x
     (This : ISVGPoint_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, ISVGPoint_Get_x);
   end Get_x;

   procedure Put_y
     (This : ISVGPoint_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         ISVGPoint_Put_y,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_y;

   function Get_y
     (This : ISVGPoint_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, ISVGPoint_Get_y);
   end Get_y;

   function matrixTransform
     (This    : ISVGPoint_Type;
      pMatrix : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         ISVGPoint_matrixTransform,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pMatrix),
         Free);
   end matrixTransform;

end MSHTML.ISVGPoint_Object;

